All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.totals
Class OLAPTotalsSelectorAdapter

    com.sas.dataselectors.totals.OLAPTotalsSelectorAdapter

All Implemented Interfaces:
  OLAPTotalsSelectorInterface, TotalsSelectorInterface

    public class OLAPTotalsSelectorAdapter

implements OLAPTotalsSelectorInterface

Totals Selector adapter for multidimensional data.

Since:
  3.1

Field Summary
`protected boolean` | `columnSubtotals` Flag to indicate if the column subtotals have to be applied.
`protected boolean` | `expandedTotals` Flag to indicate if the totals are 'expanded'.
`protected int` | `percentOfTotalsApplied` An integer indicating the combination of percent of totals/subtotals that is currently applied to the BusinessQuery.
`protected boolean` | `rowSubtotals` Flag to indicate if the row subtotals have to be applied.
`protected boolean` | `rowTotals` Flag to indicate if the row totals have to be applied.
`java.lang.String` | `totalsPosition` Indicates the totals position.
`java.lang.String` | `totalsType` Indicates the totals type.

Fields inherited from class com.sas.dataselectors.totals.BaseTotalsSelectorAdapter
`columnTotals, dataModel, valuesFromDataModel`

Fields inherited from interface com.sas.dataselectors.totals.OLAPTotalsSelectorInterface
`NO_PERCENT_OF_TOTAL_SUBTOTAL, PERCENT_OF_SUBTOTAL_FOR_COLUMNS, PERCENT_OF_SUBTOTAL_FOR_ROWS, PERCENT_OF_TOTAL_FOR_COLUMNS, PERCENT_OF_TOTAL_FOR_ROWS`

Fields inherited from interface com.sas.dataselectors.totals.TotalsSelectorInterface
`BOTTOM, COLUMN_SUBTOTALS, COLUMN_TOTALS, EXPANDED_TOTALS, NO_COLUMN_SUBTOTALS, NO_COLUMN_TOTALS, NO_EXPANDED_TOTALS, NO_ROW_SUBTOTALS, NO_ROW_TOTALS, ROW_SUBTOTALS, ROW_TOTALS, TOP, UNFILTERED_TOTALS, VISUAL_TOTALS`

Constructor Summary
`OLAPTotalsSelectorAdapter()`

Method Summary
`boolean` | `columnSubtotals()` Returns true if the column subtotals must be applyed, false otherwise.
`void` | `columnSubtotals(boolean columnSubtotals)` Sets if the column subtotals must be applyed.
`int` | `getAppliedPercentOfTotals()` Returns an integer indicating what combination of percent of totals/subtotals is currently applied to the BusinessQuery.
`java.lang.String` | `getTotalsPosition()` Returns the totals position.
`java.lang.String` | `getTotalsType()` Returns the totals type.
`boolean` | `isExpandedTotals()` Returns true if the totals are expanded, false otherwise.
`boolean` | `isGoingToRemovePercentOfTotal()` Returns true if some applied percent of totals/subtotals are going to be removed because the corresponding totals/subtotals are going to be turned off, flase otherwise
`boolean` | `rowSubtotals()` Returns true if the row subtotals must be applied, false otherwise.
`void` | `rowSubtotals(boolean rowSubtotals)` Sets if the row subtotals must be applyed.
`boolean` | `rowTotals()` Returns true if the row totals must be applyed, false otherwise.
`void` | `rowTotals(boolean rowTotals)` Sets if the row totals must be applyed.
`void` | `setExpandedTotals(boolean expanded)` Sets if the totals are expanded.
`void` | `setTotalsPosition(java.lang.String position)` Sets the totals position.
`void` | `setTotalsType(java.lang.String type)` Sets the totals type.

Methods inherited from class com.sas.dataselectors.totals.BaseTotalsSelectorAdapter
`columnTotals, columnTotals, dataModel, dataModel, hasSummarizeableItems, valuesFromDataModel, valuesFromDataModel`

Methods inherited from interface com.sas.dataselectors.totals.TotalsSelectorInterface
`columnTotals, columnTotals, hasSummarizeableItems, valuesFromDataModel, valuesFromDataModel`

Field Detail

### rowSubtotals

    protected boolean rowSubtotals

  Flag to indicate if the row subtotals have to be applied.

### rowTotals

    protected boolean rowTotals

  Flag to indicate if the row totals have to be applied.

### columnSubtotals

    protected boolean columnSubtotals

  Flag to indicate if the column subtotals have to be applied.

### totalsType

    public java.lang.String totalsType

  Indicates the totals type.

  See Also:
    `TotalsSelectorInterface.UNFILTERED_TOTALS`, `TotalsSelectorInterface.VISUAL_TOTALS`

### totalsPosition

    public java.lang.String totalsPosition

  Indicates the totals position.

  See Also:
    `TotalsSelectorInterface.TOP`, `TotalsSelectorInterface.BOTTOM`

### expandedTotals

    protected boolean expandedTotals

  Flag to indicate if the totals are 'expanded'.

### percentOfTotalsApplied

    protected int percentOfTotalsApplied

  An integer indicating the combination of percent of totals/subtotals that is currently applied to the BusinessQuery.

  See Also:
    `OLAPTotalsSelectorInterface.getAppliedPercentOfTotals()`

Constructor Detail

### OLAPTotalsSelectorAdapter

    public OLAPTotalsSelectorAdapter()

Method Detail

### rowSubtotals

    public boolean rowSubtotals()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns true if the row subtotals must be applied, false otherwise.

  Specified by:
    `rowSubtotals` in interface `OLAPTotalsSelectorInterface`
  Returns:
    boolean true if the row subtotals must be applied, false otherwise.

### rowSubtotals

    public void rowSubtotals(boolean rowSubtotals)

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Sets if the row subtotals must be applyed.

  Specified by:
    `rowSubtotals` in interface `OLAPTotalsSelectorInterface`
  Parameters:
    `rowSubtotals` - true if the row subtotals must be applyed, false otherwise.

### rowTotals

    public boolean rowTotals()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns true if the row totals must be applyed, false otherwise.

  Specified by:
    `rowTotals` in interface `OLAPTotalsSelectorInterface`
  Returns:
    boolean true if the row totals must be applyed, false otherwise.

### rowTotals

    public void rowTotals(boolean rowTotals)

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Sets if the row totals must be applyed.

  Specified by:
    `rowTotals` in interface `OLAPTotalsSelectorInterface`
  Parameters:
    `rowTotals` - true if the row totals must be applyed, false otherwise.

### columnSubtotals

    public boolean columnSubtotals()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns true if the column subtotals must be applyed, false otherwise.

  Specified by:
    `columnSubtotals` in interface `OLAPTotalsSelectorInterface`
  Returns:
    boolean true if the column subtotals must be applyed, false otherwise.

### columnSubtotals

    public void columnSubtotals(boolean columnSubtotals)

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Sets if the column subtotals must be applyed.

  Specified by:
    `columnSubtotals` in interface `OLAPTotalsSelectorInterface`
  Parameters:
    `columnSubtotals` - true if the column subtotals must be applyed, false otherwise.

### isExpandedTotals

    public boolean isExpandedTotals()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns true if the totals are expanded, false otherwise.

  Specified by:
    `isExpandedTotals` in interface `OLAPTotalsSelectorInterface`
  Returns:
    true if the totals are expanded, false otherwise.

### setExpandedTotals

    public void setExpandedTotals(boolean expanded)

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Sets if the totals are expanded.

  Specified by:
    `setExpandedTotals` in interface `OLAPTotalsSelectorInterface`
  Parameters:
    `expanded` - true if the totals are expanded, false otherwise.

### getTotalsPosition

    public java.lang.String getTotalsPosition()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns the totals position.

  Specified by:
    `getTotalsPosition` in interface `OLAPTotalsSelectorInterface`
  Returns:
    the totals position.
  See Also:
    `TotalsSelectorInterface.TOP`, `TotalsSelectorInterface.BOTTOM`

### setTotalsPosition

    public void setTotalsPosition(java.lang.String position)

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Sets the totals position.

  Specified by:
    `setTotalsPosition` in interface `OLAPTotalsSelectorInterface`
  Parameters:
    `position` - the totals position. The valid values are in the 'see' section. No position is set if an invalid value is received.
  See Also:
    `TotalsSelectorInterface.TOP`, `TotalsSelectorInterface.BOTTOM`

### getTotalsType

    public java.lang.String getTotalsType()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns the totals type.

  Specified by:
    `getTotalsType` in interface `OLAPTotalsSelectorInterface`
  Returns:
    the totals type.
  See Also:
    `TotalsSelectorInterface.UNFILTERED_TOTALS`, `TotalsSelectorInterface.VISUAL_TOTALS`

### setTotalsType

    public void setTotalsType(java.lang.String type)

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Sets the totals type.

  Specified by:
    `setTotalsType` in interface `OLAPTotalsSelectorInterface`
  See Also:
    `TotalsSelectorInterface.UNFILTERED_TOTALS`, `TotalsSelectorInterface.VISUAL_TOTALS`

### getAppliedPercentOfTotals

    public int getAppliedPercentOfTotals()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns an integer indicating what combination of percent of totals/subtotals is currently applied to the BusinessQuery.

  Specified by:
    `getAppliedPercentOfTotals` in interface `OLAPTotalsSelectorInterface`
  Returns:
    an integer indicating what combination of percent of totals/subtotals is currently applied to the BusinessQuery. The returned value can be one of the following:

    0 (0000) no percent of totals/subtotals is applied

    1 (0001) percent of totals for columns is applied

    2 (0010) percent of subtotals for columns is applied

    3 (0011) percent of subtotals for columns and percent of totals for columns are applied

    4 (0100) percent of totals for rows is applied

    5 (0101) percent of totals for rows and percent of totals for columns are applied

    6 (0110) percent of totals for rows and percent of subtotals for columns are applied

    7 (0111) percent of totals for rows and percent of subtotals for columns and percent of totals for columns are applied

    8 (1000) percent of subtotals for rows is applied

    9 (1001) percent of subtotals for rows and percent of totals for columns are applied

    10 (1010) percent of subtotals for rows and percent of subtotals for columns are applied

    11 (1011) percent of subtotals for rows and percent of subtotals for columns and percent of totals for columns are applied

    12 (1100) percent of subtotals for rows and percent of totals for rows are applied

    13 (1101) percent of subtotals for rows and percent of totals for rows and percent of totals for columns are applied

    14 (1110) percent of subtotals for rows and percent of totals for rows and percent of subtotals for columns are applied

    15 (1111) percent of subtotals for rows percent of totals for rows and percent of subtotals for columns and percent of totals for columns are applied

### isGoingToRemovePercentOfTotal

    public boolean isGoingToRemovePercentOfTotal()

  Description copied from interface: `OLAPTotalsSelectorInterface`
  Returns true if some applied percent of totals/subtotals are going to be removed because the corresponding totals/subtotals are going to be turned off, flase otherwise

  Specified by:
    `isGoingToRemovePercentOfTotal` in interface `OLAPTotalsSelectorInterface`
  Returns:
    true if some applied percent of totals/subtotals are going to be removed because the corresponding totals/subtotals are going to be turned off, flase otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.